Introducing the Chargebee CLI

Update a collections payment promise

Updates an existing collections payment promise. Use this to revise promise details such as promised_by, promised_on, or reason.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/collections_payment_promises/{collections-payment-promise-id}

Input Parameters

promised_on
optional, timestamp(UTC) in seconds

Updated promised payment date as a UTC timestamp in seconds.

reason
optional, string, max chars=500

Optional note describing the reason for this update.

promised_by
optional, string, max chars=254

Name or identifier of the user or agent updating this payment promise.

Returns

Collections payment promise object

The updated collections_payment_promise resource.